ObjectDataCRC

Returns the unique CRC, or Cyclic Redundancy Check, value of an object's geometry. Because the CRC value is generated from the object's geometry, you can use this value to identify whether or not an object's geometry has changed between two events.

Syntax

Rhino.ObjectDataCRC (strObject)

Parameters

strObject

Required.  String.  The identifier of the object.

Returns

Number

The object data's CRC value if successful.

Null

If not successful, or on error.

Example

Dim strObject

strObject = Rhino.AddCircle(Rhino.WorldXYPlane, 5.0)

' Before move

Call Rhino.Print("Before transformation")

Call Rhino.Print(strObject)

Call Rhino.Print(Rhino.ObjectDataCRC(strObject))

strObject = Rhino.MoveObject(strobject, Array(0,0,0), Array(5,5,0))

' After move

Call Rhino.Print("After transformation")

Call Rhino.Print(strObject)

Call Rhino.Print(Rhino.ObjectDataCRC(strObject))

Also See

ObjectSerialNumber